Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(18)

Issue 12256017: Remove default import library inheritance/configuration. (Closed)

Created:
6 years, 6 months ago by Sigurður Ásgeirsson
Modified:
6 years, 5 months ago
Reviewers:
bradn, jeanluc1, scottmg
CC:
gyp-developer_googlegroups.com
Base URL:
https://chromium.googlesource.com/external/gyp.git@lkgr
Visibility:
Public.

Description

Remove default import library inheritance/configuration. BUG=176040 Committed: https://code.google.com/p/gyp/source/detail?r=1584

Patch Set 1 #

Patch Set 2 : Make sure VS projects prohibit default library inheritance, even when library list is otherwise emp… #

Patch Set 3 : Fixed unittests. #

Patch Set 4 : Rebase to head in preparation for landing. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+97 lines, -100 lines) Patch
M pylib/gyp/generator/msvs.py View 1 9 chunks +18 lines, -9 lines 0 comments Download
M pylib/gyp/msvs_emulation.py View 1 2 3 1 chunk +0 lines, -4 lines 0 comments Download
M test/win/gyptest-link-default-libs.py View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
M test/win/idl-rules/basic-idl.gyp View 1 2 3 1 chunk +42 lines, -41 lines 0 comments Download
D test/win/linker-flags/default-libs.cc View 1 2 1 chunk +0 lines, -30 lines 0 comments Download
D test/win/linker-flags/default-libs.gyp View 1 2 1 chunk +0 lines, -13 lines 0 comments Download
M test/win/linker-flags/delay-load-dlls.gyp View 1 2 2 chunks +8 lines, -0 lines 0 comments Download
A test/win/linker-flags/no-default-libs.cc View 1 2 1 chunk +18 lines, -0 lines 0 comments Download
A + test/win/linker-flags/no-default-libs.gyp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M test/win/rc-build/hello.gyp View 1 2 2 chunks +8 lines, -0 lines 0 comments Download

Messages

Total messages: 9 (0 generated)
Sigurður Ásgeirsson
Please check this out - I'm still testing to see whether I need to roll ...
6 years, 6 months ago (2013-02-13 19:08:11 UTC) #1
scottmg
Won't this break gyptest-link-default-libs.py?
6 years, 6 months ago (2013-02-13 19:26:36 UTC) #2
Sigurður Ásgeirsson
Hey Jean Luc, please take a look at the changes in msvs.py for sanity checking. ...
6 years, 6 months ago (2013-02-14 21:58:42 UTC) #3
bradn
lg aside from echoing jean-luc's concern about consistency. The set of non-chromium gyp users is ...
6 years, 6 months ago (2013-02-14 23:45:04 UTC) #4
Sigurður Ásgeirsson
Hey guys, please take another look. I attempted to make this behave consistently across all ...
6 years, 6 months ago (2013-02-19 20:44:11 UTC) #5
scottmg
lgtm for ninja
6 years, 6 months ago (2013-02-19 22:33:55 UTC) #6
Sigurður Ásgeirsson
On 2013/02/19 22:33:55, scottmg wrote: > lgtm for ninja Thanks, jeanluc - can you please ...
6 years, 6 months ago (2013-02-20 13:35:00 UTC) #7
bradn
My offhand reaction is that working out of the box is a ship that's somewhat ...
6 years, 5 months ago (2013-02-21 20:23:07 UTC) #8
Sigurður Ásgeirsson
6 years, 5 months ago (2013-02-25 22:29:39 UTC) #9
Message was sent while issue was closed.
Committed patchset #4 manually as r1584.

Powered by Google App Engine
This is Rietveld 408576698